public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-cpp/gtest/
Date: Sat,  4 Feb 2023 08:51:31 +0000 (UTC)	[thread overview]
Message-ID: <1675499179.98b4dd2683722e441a422ad07bfe07af638f762a.ceamac@gentoo> (raw)

commit:     98b4dd2683722e441a422ad07bfe07af638f762a
Author:     Peter Levine <plevine457 <AT> gmail <DOT> com>
AuthorDate: Fri Jan 20 09:20:56 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Sat Feb  4 08:26:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98b4dd26

dev-cpp/gtest: add 1.13.0

Signed-off-by: Peter Levine <plevine457 <AT> gmail.com>
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 dev-cpp/gtest/Manifest            |  1 +
 dev-cpp/gtest/gtest-1.13.0.ebuild | 78 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-cpp/gtest/Manifest b/dev-cpp/gtest/Manifest
index 3aff3c058b8f..7fb1417b02ff 100644
--- a/dev-cpp/gtest/Manifest
+++ b/dev-cpp/gtest/Manifest
@@ -1,2 +1,3 @@
 DIST gtest-1.11.0.tar.gz 886330 BLAKE2B d11fdd485f292d96508cbc27a9a444ab69b86571cc594298fd3f0e6d4bd8d6ec20dea848fe11be165d34054b2251ad377f0930f852914feaa1416ff156986a9c SHA512 6fcc7827e4c4d95e3ae643dd65e6c4fc0e3d04e1778b84f6e06e390410fe3d18026c131d828d949d2f20dde6327d30ecee24dcd3ef919e21c91e010d149f3a28
 DIST gtest-1.12.1.tar.gz 854944 BLAKE2B 7b121fb95bb19efec1387a83da2201a139197225f79f7649ceac04695ff06fc4148319ae928d79ced413a9cfd42e68b56bfda1ee6bfdbf07fdd22795e9974388 SHA512 a9104dc6c53747e36e7dd7bb93dfce51a558bd31b487a9ef08def095518e1296da140e0db263e0644d9055dbd903c0cb69380cb2322941dbfb04780ef247df9c
+DIST gtest-1.13.0.tar.gz 862871 BLAKE2B d2768332c233d62f7a5f5332b63dc587c96c24765b2eeaa4f4caf5d421b175aa850d81cec4f50eeef9e06d4b86cb959555b4c2862a197ce3cb86d61fcb51f5d1 SHA512 70c0cfb1b4147bdecb467ecb22ae5b5529eec0abc085763213a796b7cdbd81d1761d12b342060539b936fa54f345d33f060601544874d6213fdde79111fa813e

diff --git a/dev-cpp/gtest/gtest-1.13.0.ebuild b/dev-cpp/gtest/gtest-1.13.0.ebuild
new file mode 100644
index 000000000000..b8c8b33936c4
--- /dev/null
+++ b/dev-cpp/gtest/gtest-1.13.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Python is required for tests and some build tasks.
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit cmake-multilib python-any-r1
+
+if [[ ${PV} == "9999" ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/google/googletest"
+else
+	if [[ -z ${GOOGLETEST_COMMIT} ]]; then
+		SRC_URI="https://github.com/google/googletest/archive/refs/tags/v${PV}.tar.gz
+			-> ${P}.tar.gz"
+		S="${WORKDIR}"/googletest-${PV}
+	else
+		SRC_URI="https://github.com/google/googletest/archive/${GOOGLETEST_COMMIT}.tar.gz
+			-> ${P}.tar.gz"
+		S="${WORKDIR}"/googletest-${GOOGLETEST_COMMIT}
+	fi
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+DESCRIPTION="Google C++ Testing Framework"
+HOMEPAGE="https://github.com/google/googletest"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( ${PYTHON_DEPS} )"
+
+pkg_setup() {
+	use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	cmake_src_prepare
+
+	sed -i -e '/set(cxx_base_flags /s:-Werror::' \
+		googletest/cmake/internal_utils.cmake || die "sed failed!"
+}
+
+multilib_src_configure() {
+	local mycmakeargs=(
+		-DBUILD_GMOCK=ON
+		-DINSTALL_GTEST=ON
+
+		# tests
+		-Dgmock_build_tests=$(usex test)
+		-Dgtest_build_tests=$(usex test)
+		-DPYTHON_EXECUTABLE="${PYTHON}"
+	)
+	cmake_src_configure
+}
+
+multilib_src_test() {
+	# Exclude tests that fail with FEATURES="usersandbox"
+	cmake_src_test -E "googletest-(death-test|port)-test"
+}
+
+multilib_src_install_all() {
+	einstalldocs
+
+	newdoc googletest/README.md README.googletest.md
+	newdoc googlemock/README.md README.googlemock.md
+
+	use doc && dodoc -r docs/.
+
+	if use examples; then
+		docinto examples
+		dodoc googletest/samples/*.{cc,h}
+	fi
+}


             reply	other threads:[~2023-02-04  8:51 UTC|newest]

Thread overview: 124+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-04  8:51 Viorel Munteanu [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-25 15:21 [gentoo-commits] repo/gentoo:master commit in: dev-cpp/gtest/ Fabian Groffen
2024-07-09  7:00 Sam James
2024-07-09  7:00 Sam James
2024-07-09  7:00 Sam James
2024-06-26 14:42 Ionen Wolkens
2024-06-18  6:27 Sam James
2024-06-18  5:54 Joonas Niilola
2024-06-18  5:54 Joonas Niilola
2024-06-18  5:09 Sam James
2024-06-18  2:09 Sam James
2024-06-18  2:09 Sam James
2024-06-18  2:09 Sam James
2024-05-28 20:49 Sam James
2024-05-28 13:19 Sam James
2024-05-28 12:29 Michał Górny
2024-05-28 12:04 Michał Górny
2023-09-04 10:08 David Seifert
2023-09-04 10:08 David Seifert
2023-09-04 10:08 David Seifert
2023-09-04 10:08 David Seifert
2023-04-30 16:52 Arthur Zamarin
2023-04-30 16:52 Arthur Zamarin
2023-04-25 12:31 Joonas Niilola
2023-04-24 22:57 Sam James
2023-04-24 22:57 Sam James
2023-04-24 22:57 Sam James
2023-04-24 22:57 Sam James
2023-04-24 22:57 Sam James
2023-02-04  8:51 Viorel Munteanu
2023-02-04  8:51 Viorel Munteanu
2023-02-04  8:51 Viorel Munteanu
2022-11-23  1:45 Sam James
2022-11-23  1:45 Sam James
2022-11-23  1:45 Sam James
2022-11-23  1:45 Sam James
2022-11-23  1:45 Sam James
2022-05-04  7:07 WANG Xuerui
2022-04-18 20:28 Sam James
2022-03-15 22:21 Mike Frysinger
2021-12-07 20:23 Sam James
2021-12-07  6:26 Agostino Sarubbo
2021-12-06 15:23 Sam James
2021-12-06 15:20 Sam James
2021-12-06  0:31 Sam James
2021-12-06  0:10 Sam James
2021-12-05 22:04 Sam James
2021-12-05 20:12 Arthur Zamarin
2021-10-12 20:24 Sam James
2021-10-12 20:24 Sam James
2021-10-12 20:24 Sam James
2021-10-12 20:24 Sam James
2021-10-12 20:24 Sam James
2021-10-04  7:45 Arthur Zamarin
2021-06-29  5:53 Yixun Lan
2021-01-06 18:38 Fabian Groffen
2020-12-13 23:23 Sam James
2020-09-20 20:21 Agostino Sarubbo
2020-09-07  8:47 Sergei Trofimovich
2020-09-07  8:20 Sergei Trofimovich
2020-08-15  7:26 Sergei Trofimovich
2020-08-11 18:53 Agostino Sarubbo
2020-08-11 14:18 Agostino Sarubbo
2020-08-11 14:12 Agostino Sarubbo
2020-08-11 10:29 Sam James
2020-08-04 19:02 Fabian Groffen
2020-08-04 19:02 Fabian Groffen
2020-07-19 10:43 Joonas Niilola
2020-07-19 10:43 Joonas Niilola
2020-07-19 10:43 Joonas Niilola
2020-07-19 10:43 Joonas Niilola
2020-07-19 10:43 Joonas Niilola
2019-10-09  3:19 Joonas Niilola
2019-10-09  3:19 Joonas Niilola
2019-09-13 17:27 Mikle Kolyada
2019-08-23 12:16 Agostino Sarubbo
2019-08-23 10:00 Agostino Sarubbo
2019-08-22 22:03 Agostino Sarubbo
2019-08-19  6:57 Sergei Trofimovich
2019-08-18 10:10 Sergei Trofimovich
2019-08-18 10:08 Sergei Trofimovich
2019-08-18  9:10 Sergei Trofimovich
2019-08-16 23:21 Aaron Bauman
2019-08-16 17:03 Mike Gilbert
2019-06-15 20:29 Michał Górny
2019-06-15 20:29 Michał Górny
2019-06-04 19:49 Andreas Sturmlechner
2019-03-28  0:07 Aaron Bauman
2019-03-27 23:44 Thomas Deutschmann
2019-03-27 20:04 Agostino Sarubbo
2018-09-22  7:07 Michał Górny
2018-09-22  7:07 Michał Górny
2018-09-22  7:07 Michał Górny
2018-09-22  7:07 Michał Górny
2018-09-22  7:07 Michał Górny
2018-09-22  7:07 Michał Górny
2018-09-22  7:07 Michał Górny
2018-06-07 21:20 Mikle Kolyada
2018-04-16 19:15 Mikle Kolyada
2018-04-02 17:35 Mart Raudsepp
2018-03-21  1:34 Matt Turner
2018-03-13 22:14 Sergei Trofimovich
2018-03-05 13:57 Tobias Klausmann
2018-02-17 22:30 Sergei Trofimovich
2018-02-17  8:43 Sergei Trofimovich
2018-02-13 20:11 Thomas Deutschmann
2018-02-13  7:46 Jason Zaman
2018-01-09 16:12 Mike Gilbert
2018-01-09 16:12 Mike Gilbert
2018-01-04  9:11 Mike Frysinger
2017-08-29 20:30 Patrice Clement
2017-08-29 20:30 Patrice Clement
2017-08-29 20:30 Patrice Clement
2017-08-29 20:30 Patrice Clement
2017-08-29 20:30 Patrice Clement
2017-07-10 10:35 Alexis Ballier
2017-06-11  4:00 Michael Palimaka
2017-05-06  7:23 Markus Meier
2017-04-22  7:33 Tobias Klausmann
2017-04-08  9:01 Jeroen Roovers
2017-04-07 16:05 Agostino Sarubbo
2016-10-18 19:26 Pacho Ramos
2015-12-22  8:58 Thomas Kahle
2015-09-01 18:57 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1675499179.98b4dd2683722e441a422ad07bfe07af638f762a.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox